Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
security::IpFw Struct Reference

IP packet filter configuration. More...

## Public Attributes
boolean | enabled
| `true` to enable packet filtering
IpfwPolicy | defaultPolicyIn
| The default policy for inbound traffic in case no rule matches.
IpfwPolicy | defaultPolicyOut
| The default policy for outbound traffic in case no rule matches.
vector< IpfwRule > | ruleSetIn
| Ordered list of inbound firewall rules.
vector< IpfwRule > | ruleSetOut
| Ordered list of outbound firewall rules.

## Detailed Description

IP packet filter configuration.

Definition at line 27 of file Security.idl.

## Member Data Documentation

## ◆ defaultPolicyIn

IpfwPolicy security::IpFw::defaultPolicyIn

The default policy for inbound traffic in case no rule matches.

Definition at line 29 of file Security.idl.

## ◆ defaultPolicyOut

IpfwPolicy security::IpFw::defaultPolicyOut

The default policy for outbound traffic in case no rule matches.

Definition at line 30 of file Security.idl.

## ◆ enabled

boolean security::IpFw::enabled

`true` to enable packet filtering

Definition at line 28 of file Security.idl.

## ◆ ruleSetIn

vector<IpfwRule> security::IpFw::ruleSetIn

Ordered list of inbound firewall rules.

Definition at line 31 of file Security.idl.

## ◆ ruleSetOut

vector<IpfwRule> security::IpFw::ruleSetOut

Ordered list of outbound firewall rules.

Definition at line 32 of file Security.idl.

The documentation for this struct was generated from the following file:

- Security.idl